## NAME

r.out.hdf - Convert data in a GRASS raster map layer into HDF format. (GRASS Raster Data Export Program)

## SYNOPSIS

r.out.hdf
r.out.hdf help
r.out.hdf [-q] input=name [output=name] [mult=value]

## DESCRIPTION

r.out.hdf allows a user to create a data file in NCSA Hierarchical Data Format (HDF) from an existing GRASS raster file.

## COMMAND LINE OPTIONS

### Flag:

-q
  Run quietly

### Parameters:

input
  Raster file to be converted.
output
  Name for new hdf file.
  Default: <rasterfilename>.hdf
mult
  Floating point multiplier. (file.hdf = cellfile * multiplier)

NCSA HDF is a multi-object file format developed by The National Center for Supercomputing Applications at Champaign, Illinois for the transfer of graphical and floating-point data between machines. The format defines both a raster type and a SDS type. The later is basically a highly structured multi-dimensional array of floating point values. A single HDF file may contain more than one SDS, but using r.out.hdf will create a single HDF file containing a single 2-dimensional SDS. The HDF raster format consists of a palette and a 2D array of 8-bit numbers, but r.out.hdf does not yet create this format file, so color tables are not transferrable.

NCSA distributes the HDF library and several public domain visualization applications which use the HDF format. Some commercial applications also support HDF. For more information, use the NCSA anonymous ftp server ftp.ncsa.uiuc.edu or contact:

NCSA
152 Computing Applications Building
605 E. Springfield Ave.
Champaign, IL 61820
(217) 244-0072

## SEE ALSO

r.in.hdf

## AUTHOR

Bill Brown, U.S. Army Construction Engineering Research Laboratory

Last changed: $Date: 2002/01/25 05:45:34 $